
Redmine - Patch #41865

Update SQLite3 gem to 2.5

2024-11-25 07:04 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 6.1.0   

Description

https://rubygems.org/gems/sqlite3

Related issues:

Related to Redmine - Feature #38585: Drop Ruby 2.7 and 3.0 support Closed

Blocked by Redmine - Defect #41860: FrozenError when using SQLite3 gem versio... Closed

Associated revisions

Revision 23309 - 2024-11-25 07:25 - Go MAEDA

Update SQLite3 gem to 2.3 (#41865).

Revision 23417 - 2024-12-25 07:21 - Go MAEDA

Update SQLite3 gem to 2.4 (#41865).

Revision 23425 - 2024-12-31 03:16 - Go MAEDA

Update SQLite3 gem to 2.5 (#41865).

History

#1 - 2024-11-25 07:04 - Go MAEDA

- Blocked by Defect #41860: FrozenError when using SQLite3 gem version 2.0.0 or later added

#2 - 2024-11-25 07:04 - Go MAEDA

- Related to Feature #38585: Drop Ruby 2.7 and 3.0 support added

#3 - 2024-11-25 07:05 - Go MAEDA

- Target version set to 6.1.0

#4 - 2024-11-25 07:26 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Updated SQLite3 gem to 2.3 in r23309.

#5 - 2024-11-26 00:39 - Go MAEDA

- Status changed from Resolved to Closed

#6 - 2024-12-25 07:21 - Go MAEDA

- Subject changed from Update SQLite3 gem to 2.3 to Update SQLite3 gem to 2.4

Updated SQLite3 gem to 2.4 in r23417.

#7 - 2024-12-31 03:17 - Go MAEDA

- Subject changed from Update SQLite3 gem to 2.4 to Update SQLite3 gem to 2.5

Updated SQLite3 gem to 2.5 in r23425.
